Subject: Re: [PATCH net-next v4 02/14] net: skb: use dstref for storing dst entry

From: Jakub Kicinski <[email-masked]>
Date: Mon, 17 Nov 2025 16:10:45 -0800

On Mon, 17 Nov 2025 12:31:00 +0100 Marek Mietus wrote:
> > But IMO Jakub's comment about technical debt is not addressed by
> > pushing dstref all over the tunnel code.
> 
> I understood it differently. I thought the aforementioned debt referred
> to maintaining two different APIs that accomplish the same result, which
> is why I took the time to replace all callers in all of the tunnels to use
> the new API, and removed the old API. Maybe Jakub can clarify.

True, my direct complaint was about only converting a subset of tunnels.
But as Eric said you seem to have gone too far in the opposite direction
now :(